Subject: Re: Your comments on LF bits

From: [email-masked] (Paul Brittain)
Date: Mon, 4 Jul 94 16:22:21 BST

Pandian,

Thanks for your comments on the LF bits.  I have appended responses to your
notes below.

Paul Brittain,
Data Connection.

Appended Mail:
==============

> Hi,
> 1. The don't fail bit sounds like a good idea.

        Concensus (between at least 2 people anyway!)

> 2. I do not see a need for the 3 extended bits.
>    We could work with just 3 bits like all SRB bridges do,
>    in the sense that all the intermediate switches keep reducing it to
>    their comfort levels along the route.

        I am quite happy to drop the extended bits but as Wayne proposed
        them initially, maybe he could post details of why he thought them
        necessary?

> 3. I would like to devote 1 bit for the ARE/STR indication
> 4. And, one bit to indicate that this CUR is due to a Test or XID.

        We are quite happy using the current system of local broadcast decisions
        and always sending a TEST.  However, using Louise's 5-finger model, I
        certainly would not fist this suggestion (it gets about 3.5 fingers!).

        I have assumed that you intended that all implementations must send
        these fields, though the receiver could choose to ignore them.  If you
        intended compulsory support in the recevier, then we would be less
        happy.

        Anyone else got any comments on these fields?

> 5. About adjusting the max BTU for XID3 it will work ok only for PU2.1
>    devices with a caveat for devices generating XID0.
>

        Agreed - I only meant XID3 as a concrete example of why the "don't fail"
        bit is necessary to allow this sort of function as an implementation-
        (or environment-) specific feature in the Origin DLSw.

>              7   6   5   4   3   2   1   0
>             --------------------------------
>            | c | r | b | b | b | x | y | r |
>             --------------------------------
>
> c   - fail(0) / don't fail(1) bit
> bbb - LF bits
> x   - ARE(0)  / STE(1) indicator.
> y   - Test(0) / XID(1) indicator
> r   - reserved
>
> What do you think?
> 	/pandian
>